aboutsummaryrefslogtreecommitdiff
path: root/local/bin
diff options
context:
space:
mode:
authorCharles Cabergs <me@cacharle.xyz>2024-11-15 11:10:56 +0100
committerCharles Cabergs <me@cacharle.xyz>2024-11-15 11:10:56 +0100
commitf4c18337327229371156b457f01fa666a056d84c (patch)
treecc8df5a60c81443e1bba49858337b14a192db612 /local/bin
parent9f4defc6886f1a129da78c991221ba263870ff56 (diff)
downloaddotfiles-f4c18337327229371156b457f01fa666a056d84c.tar.gz
dotfiles-f4c18337327229371156b457f01fa666a056d84c.tar.bz2
dotfiles-f4c18337327229371156b457f01fa666a056d84c.zip
Add toggle-screenkey script
Diffstat (limited to 'local/bin')
-rwxr-xr-xlocal/bin/toggle-screenkey17
1 files changed, 17 insertions, 0 deletions
diff --git a/local/bin/toggle-screenkey b/local/bin/toggle-screenkey
new file mode 100755
index 0000000..488136f
--- /dev/null
+++ b/local/bin/toggle-screenkey
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+command -v screenkey ||
+ { echo "screenkey not installed"; exit 1; }
+
+if pgrep screenkey
+then
+ pkill screenkey
+else
+ screenkey \
+ --bg-color '#111111' \
+ --font-size small \
+ --font 'Fira Mono Bold' \
+ --geometry "1907x110+965+857" \
+ --timeout 1.5 \
+ --position fixed &
+fi